"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class PitayaConfiguration {
    constructor() {
        this.initialized = false;
        this._devBodyClass = "pi-app--under-development";
        this._development = false;
    }
    get devBodyClass() {
        return this._devBodyClass;
    }
    get development() {
        return this._development;
    }
    enableDevelopment(bodyMarkerClass) {
        this._development = true;
        this._devBodyClass = bodyMarkerClass || this._devBodyClass;
        document.body.classList.add(this._devBodyClass);
    }
}
exports.PitayaConfiguration = PitayaConfiguration;

//# sourceMappingURL=configuration.js.map
